uuid: a2ec6d3e-0cc9-41e7-aadd-6d27a63f0f48
langcode: en
status: true
dependencies:
  config:
    - entity_browser.browser.image_browser
    - field.field.paragraph.bp_columns.bp_background
    - field.field.paragraph.bp_columns.bp_column_content
    - field.field.paragraph.bp_columns.bp_gutter
    - field.field.paragraph.bp_columns.bp_image_field
    - field.field.paragraph.bp_columns.bp_title
    - field.field.paragraph.bp_columns.bp_title_status
    - field.field.paragraph.bp_columns.bp_width
    - field.field.paragraph.bp_columns.field_bp_classes
    - paragraphs.paragraphs_type.bp_columns
  module:
    - advanced_text_formatter
    - entity_browser
    - field_group
    - maxlength
    - paragraphs_features
    - paragraphs_previewer
third_party_settings:
  field_group:
    group_advanced:
      children:
        - bp_background
        - bp_image_field
        - field_bp_classes
      label: 'Styling settings'
      region: content
      parent_name: ''
      weight: 2
      format_type: details
      format_settings:
        classes: ''
        id: styling-settings
        open: false
        required_fields: true
    group_title:
      children:
        - bp_title
        - bp_title_status
      label: 'Component title'
      region: content
      parent_name: ''
      weight: 0
      format_type: details
      format_settings:
        classes: ''
        id: ''
        open: false
        description: ''
        required_fields: false
_core:
  default_config_hash: iQfabVNOyQFeYpzsInPxex2egSB3s3kloTvn0Se561Y
id: paragraph.bp_columns.default
targetEntityType: paragraph
bundle: bp_columns
mode: default
content:
  bp_background:
    type: options_buttons
    weight: 23
    region: content
    settings: {  }
    third_party_settings: {  }
  bp_column_content:
    type: paragraphs_previewer
    weight: 1
    region: content
    settings:
      title: Component
      title_plural: Components
      edit_mode: closed
      closed_mode: preview
      autocollapse: none
      closed_mode_threshold: '0'
      add_mode: modal
      form_display_mode: default
      default_paragraph_type: _none
      features:
        duplicate: duplicate
        collapse_edit_all: collapse_edit_all
        add_above: add_above
    third_party_settings:
      paragraphs_features:
        add_in_between: false
        delete_confirmation: true
        split_text: false
        show_drag_and_drop: true
  bp_image_field:
    type: entity_browser_entity_reference
    weight: 24
    region: content
    settings:
      entity_browser: image_browser
      field_widget_display: rendered_entity
      field_widget_edit: true
      field_widget_remove: true
      field_widget_replace: false
      open: true
      field_widget_display_settings:
        view_mode: browser_teaser
      selection_mode: selection_append
    third_party_settings: {  }
  bp_title:
    type: string_textfield
    weight: 0
    region: content
    settings:
      size: 60
      placeholder: ''
    third_party_settings:
      maxlength:
        maxlength_js: null
        maxlength_js_label: 'Content limited to @limit characters, remaining: <strong>@remaining</strong>'
      advanced_text_formatter:
        show_token_tree: 0
  bp_title_status:
    type: boolean_checkbox
    weight: 0
    region: content
    settings:
      display_label: true
    third_party_settings: {  }
  field_bp_classes:
    type: options_select
    weight: 25
    region: content
    settings: {  }
    third_party_settings: {  }
  translation:
    weight: 10
    region: content
    settings: {  }
    third_party_settings: {  }
hidden:
  bp_gutter: true
  bp_width: true
  created: true
  status: true
  uid: true
